<?php
include "ChatConfig.php";
include_once "jdf.php";
date_default_timezone_set("Asia/Tehran");
function send($msg)
{
    $token = "bot86974:d551b00b-9d8e-4432-9443-48e44be36081";
    $chat_id = 8275443;
    $request = curl_init("https://eitaayar.ir/api/" . $token . "/sendMessage");
    curl_setopt($request, CURLOPT_POST, true);
    curl_setopt($request, CURLOPT_SSL_VERIFYHOST, 0);
    curl_setopt($request, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($request, CURLOPT_POSTFIELDS, [
        "chat_id" => $chat_id,
        "text" => $msg,
        "date" => 0,
        "parse_mode" => "html",
        "viewCountForDelete" => "13",
    ]);
    curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
    return curl_exec($request);
    curl_close($request);
}
if (date("h:i") == "10:30") {
    $count = $connection->prepare(
        "update groups set status='0' where number=3"
    );
    $count2 = $connection->prepare(
        "update groups set status='0' where number=1"
    );
    $count->execute();
    $count2->execute();
    $sql =
        "INSERT INTO group_" .
        "3" .
        ' (id, username, message, time)
  VALUES (NULL, "' .
        "0" .
        '", "' .
        "گروه در زمان مقرر بسته شد. خسته نباشید به همگی!" .
        '", "' .
        jdate("H:i:s, j F Y") .
        '")';
    $sql2 =
        "INSERT INTO group_" .
        "1" .
        ' (id, username, message, time)
  VALUES (NULL, "' .
        "0" .
        '", "' .
        "گروه در زمان مقرر بسته شد. خسته نباشید به همگی!" .
        '", "' .
        jdate("H:i:s, j F Y") .
        '")';
    $query = $connection->prepare($sql);
    $query->execute();
    $query2 = $connection->prepare($sql2);
    $query2->execute();
            $nowDate = jdate("l، j F Y");
    $nowTime = jdate("H:i");
    send("💢 گروه پایه‌ها و فارغ‌التحصیل‌ها برای ارسال گزارش شبانه 📊 در تاریخ 🕖 $nowDate در ساعت $nowTime قفل شد! ⏰
〰️〰️〰️〰️〰️〰️〰️〰️〰️〰️〰️〰️〰️
<i>🤖 این یک پیام خودکار از طرف ربات گروه مشاوره است. 👾🔰</i>");
} else {
    $count3 = $connection->prepare(
        "update groups set status='0' where number=2"
    );
    $count3->execute();
    $sql3 =
        "INSERT INTO group_" .
        "2" .
        ' (id, username, message, time)
  VALUES (NULL, "' .
        "0" .
        '", "' .
        "گروه در زمان مقرر بسته شد. خسته نباشید به همگی!" .
        '", "' .
        jdate("H:i:s, j F Y") .
        '")';
    $query3 = $connection->prepare($sql3);
    $query3->execute();
            $nowDate = jdate("l، j F Y");
    $nowTime = jdate("H:i");
    send("💢 گروه دوازدهمی‌ها برای ارسال گزارش شبانه 📊 در تاریخ 🕖 $nowDate در ساعت $nowTime قفل شد! ⏰
〰️〰️〰️〰️〰️〰️〰️〰️〰️〰️〰️〰️〰️
<i>🤖 این یک پیام خودکار از طرف ربات گروه مشاوره است. 👾🔰</i>");
}
$json = ["status" => "ok"];
print_r(json_encode($json));
